﻿using System;
using System.Windows;
using System.Configuration;
using System.Data.SqlServerCe;
using System.Data;

namespace CadastroWPF_SQLServer
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        // Obtendo a string de conexão do arquivo App.Config
        string _strinConexao = ConfigurationManager.ConnectionStrings["ClientesSDF"].ConnectionString;

        public void VinculaDados()
        {
            SqlCeConnection _Conn = new SqlCeConnection(_strinConexao);

            // Abre a conexão 
            _Conn.Open();

            SqlCeDataAdapter _Adapter = new SqlCeDataAdapter("Select * from Clientes", _Conn);

            DataSet _ds = new DataSet();
            _Adapter.Fill(_ds, "ClientesDataBinding");


            dtgClientes.DataContext = _ds;

            // Fecha a conexão
            _Conn.Close();
        }

        private void dtgClientes_Loaded(object sender, RoutedEventArgs e)
        {
            try
            {
                this.VinculaDados();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void dtgClientes_SelectedCellsChanged(object sender, System.Windows.Controls.SelectedCellsChangedEventArgs e)
        {
            try
            {
                DataRowView _dv = dtgClientes.CurrentCell.Item as DataRowView;

                if (_dv != null)
                {
                    txtCodigo.Text = _dv.Row[0].ToString();
                    txtNome.Text = _dv.Row[1].ToString();
                    txtNome.IsEnabled = false;
                    txtEndereco.Text = _dv.Row[2].ToString();
                    dtpNascimento.Text = _dv.Row[3].ToString();
                    cboCidade.Text = _dv.Row[4].ToString();
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void btnNovo_Click(object sender, RoutedEventArgs e)
        {
            txtNome.Text = string.Empty;
            if (txtNome.IsEnabled != true)
            {
                txtNome.IsEnabled = true;
            }
            txtEndereco.Text = string.Empty;
            dtpNascimento.Text = string.Empty;
            cboCidade.Text = string.Empty;
        }

        private void btnIncluir_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                SqlCeConnection _Conn = new SqlCeConnection(_strinConexao);

                // abre a conexao
                _Conn.Open();

                string _Data = dtpNascimento.DisplayDate.ToShortDateString();

                // comando SQL para inserir - Insert Into
                string _Inserir = @"insert into Clientes
                                  (Nome,Endereco,Nascimento,Cidade)
                                  Values('" + txtNome.Text + "','" + txtEndereco.Text + "','" + _Data.ToString() + "','" + cboCidade.Text + "')";

                // inicializa o comando e a conexão
                SqlCeCommand _cmd = new SqlCeCommand(_Inserir, _Conn);
                // executa o comando
                _cmd.ExecuteNonQuery();
                MessageBox.Show("Registro incluído !");
                txtCodigo.Text = string.Empty;
                txtNome.Text = string.Empty;
                txtEndereco.Text = string.Empty;
                dtpNascimento.Text = string.Empty;
                cboCidade.Text = string.Empty;
                this.VinculaDados();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void bntAtualizar_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                SqlCeConnection _Conn = new SqlCeConnection(_strinConexao);

                // abre a conexao
                _Conn.Open();

                string _Data = dtpNascimento.DisplayDate.ToShortDateString();

                // comando SQL para inserir - Insert Into
                string _Atualizar = @"Update Clientes Set 
                                    Nome = '" + txtNome.Text + "',  Endereco = '" + txtEndereco.Text + "',Nascimento = '" + _Data.ToString() + "',Cidade = '" + cboCidade.Text + "' where Codigo = " + Convert.ToInt32(txtCodigo.Text);

                // inicializa o comando e a conexão
                SqlCeCommand _cmdAtualizar = new SqlCeCommand(_Atualizar, _Conn);
                // executa o comando
                _cmdAtualizar.ExecuteNonQuery();

                MessageBox.Show("Registro atualizado !");
                txtCodigo.Text = string.Empty;
                txtNome.Text = string.Empty;
                txtEndereco.Text = string.Empty;
                dtpNascimento.Text = string.Empty;
                cboCidade.Text = string.Empty;
                this.VinculaDados();

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void btnDeletar_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                SqlCeConnection _Conn = new SqlCeConnection(_strinConexao);

                // Open Database Connection
                _Conn.Open();

                // Command String
                string _Deletar = @"Delete from Clientes
                                  Where codigo = " + Convert.ToInt32(txtCodigo.Text);

                // inicializa o comando e a conexão
                SqlCeCommand _cmdDeletar = new SqlCeCommand(_Deletar, _Conn);
                // executa o comando
                _cmdDeletar.ExecuteNonQuery();

                MessageBox.Show("Registro deletado !");
                txtCodigo.Text = string.Empty;
                txtNome.Text = string.Empty;
                txtEndereco.Text = string.Empty;
                dtpNascimento.Text = string.Empty;
                cboCidade.Text = string.Empty;
                this.VinculaDados();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }


    }
}
